Bug 108729 - Allow using substring in TreeView quick search
Allow using substring in TreeView quick search
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
6.x
All All
: P3 (vote)
: 6.x
Assigned To: David Strupl
issues@platform
http://www.netbeans.org/source/browse...
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 10:20 UTC by David Strupl
Modified: 2008-12-22 10:06 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (5.83 KB, patch)
2007-07-11 11:38 UTC, David Strupl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2007-07-03 10:20:58 UTC
The proposed diff is linked via the URL field of this issue. The diff is for release50 branch, it will be slightly
changed for 6.0.
Comment 1 David Strupl 2007-07-03 10:22:58 UTC
Assigning to myself. Petr who is responsible for the TreeView? If it is not you please put the person on Cc: of this report.
Comment 2 Petr Nejedly 2007-07-03 10:34:28 UTC
6.0 is feature frozen and this doesn't look like a bug fix...
Comment 3 David Strupl 2007-07-03 10:40:36 UTC
Yes, I know. But taken into account the length of the release cycle I would still like to consider it for 6.0. I did
mark it as ENH ;-) Also please note that the code will do exactly the same as it did before if the special flag will not
be used.

I am trying not to fork our release for 6.0 - if it will not be possible I will most probably have to. Bad karma (too
late, I know). This is not user visible feature, although it is an API change (adding a protected field to a public class).
Comment 4 David Strupl 2007-07-11 11:38:06 UTC
Created attachment 44931 [details]
Proposed patch
Comment 5 David Strupl 2007-07-11 11:43:58 UTC
I have uploaded the proposed patch. I have added one public method to the TreeView class.

Considering the feature freeze status is there any chance this could be applied to the trunk now?

We had this reported by our testers as a fault (NOK - Not OK) but I am aware that this is a feature in TreeView (and API
change) ...

Please let me know whether I can (or cannot) apply it. Adding Jesse and Jarda on Cc: ...
Comment 6 Jesse Glick 2007-07-11 19:32:34 UTC
No personal objection from me, but it needs to go through apireviews (wait a week).
Comment 7 David Strupl 2007-07-19 14:29:25 UTC
Checking in apichanges.xml;
/cvs/openide/explorer/apichanges.xml,v  <--  apichanges.xml
new revision: 1.14; previous revision: 1.13
done
Checking in manifest.mf;
/cvs/openide/explorer/manifest.mf,v  <--  manifest.mf
new revision: 1.13; previous revision: 1.12
done
Checking in src/org/openide/explorer/view/TreeView.java;
/cvs/openide/explorer/src/org/openide/explorer/view/TreeView.java,v  <--  TreeView.java
new revision: 1.25; previous revision: 1.24
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo